bquote {base} | R Documentation

## Partial substitution in expressions

### Description

An analogue of the LISP backquote macro. `bquote` quotes its argument except that terms wrapped in `.()` are evaluated in the specified `where` environment.

### Usage

    bquote(expr, where = parent.frame())

### Arguments

`expr` | A language object.
`where` | An environment.

### Value

A language object.

### See Also

`quote`, `substitute`

### Examples

    require(graphics)

    a <- 2

    bquote(a == a)
    quote(a == a)

    bquote(a == .(a))
    substitute(a == A, list(A = a))

    plot(1:10, a*(1:10), main = bquote(a == .(a)))

    ## to set a function default arg
    default <- 1
    bquote( function(x, y = .(default)) x+y )

[Package base version 3.6.0 Index]